#pragma once

#include <iostream>
#include <fstream>
#include <filesystem>
#include <string>

std::ifstream fileapi_read_file( std::filesystem::path filepath, std::ostream & info = std::cout );

std::string fileapi_read_full_stream( std::ifstream _is );